﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Scheduler.aspx.cs" Inherits="Default" %>


<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns='http://www.w3.org/1999/xhtml'>
<head runat="server">
    <title>Telerik ASP.NET Example</title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager runat="server" ID="RadScriptManager1" />
        <telerik:RadSkinManager ID="RadSkinManager1" runat="server" ShowChooser="true" />
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
            <AjaxSettings>
                <telerik:AjaxSetting AjaxControlID="RadScheduler1">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="RadScheduler1" LoadingPanelID="RadAjaxLoadingPanel1"></telerik:AjaxUpdatedControl>
                    </UpdatedControls>
                </telerik:AjaxSetting>
            </AjaxSettings>
        </telerik:RadAjaxManager>
        <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server">
        </telerik:RadAjaxLoadingPanel>
        <div class="demo-container no-bg">
            <telerik:RadCodeBlock runat="server">
                <script>
                    function pageLoadHandler() {
                        var scheduler = $find("<%= RadScheduler1.ClientID %>");
                        var $timeslot = $telerik.$(scheduler.get_element()).find(".starter-timeslot");
                       
                        if ($timeslot.length>0) {
                            setTimeout(function () {
                                $timeslot[0].scrollIntoView();
                            })
                        }

                        // Sys.Application.remove_load(pageLoadHandler);  
                    }
                    Sys.Application.add_load(pageLoadHandler);
                </script>
            </telerik:RadCodeBlock>
            <telerik:RadScheduler RenderMode="Lightweight" Font-Size="14px" runat="server" ID="RadScheduler1"
                SelectedDate="2012-04-16" ShowFullTime="true" ShowFooter="false" DayStartTime="00:00:00" DayEndTime="18:00:00"
                OverflowBehavior="Auto"
                OnTimeSlotCreated="RadScheduler1_TimeSlotCreated"
                >
            </telerik:RadScheduler>
        </div>
    </form>
</body>
</html>
